Bug 625316 - publican break <productname></productname> tags into separate paragraphs in .po files.
publican break <productname></productname> tags into separate paragraphs in ....
Status: CLOSED ERRATA
Product: Publican
Classification: Community
Component: publican (Show other bugs)
1.6
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-19 00:22 EDT by Chester Cheng
Modified: 2010-11-23 23:19 EST (History)
4 users (show)

See Also:
Fixed In Version: publican-2.2-0.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-10 19:26:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chester Cheng 2010-08-19 00:22:03 EDT
Description of problem:
When interpreting <productname></productname> tags in the English .xml files, publican will split this tag pair into an individual string in .po files.

Version-Release number of selected component (if applicable):
publican-2.1-0.el5

How reproducible:
Check out RHEL 6 Release Notes from our internal repository.  An revision earlier than 12:00 today.

Steps to Reproduce:
1.  publican update_pot
2.  publican update_po --lang <lang>
3.  See <lang>'s documentation.po and clustering.po
  
Actual results:
<productname></productname> were split from a paragraph.

Expected results:
They should stay in the same paragraph.

Additional info:
N/A
Comment 1 Jeff Fearn 2010-09-27 02:34:40 EDT
Added productname to IGNOREBLOCKS to prvenet procname nested in other translatable blocks from being treated as a new block.

Fixed in Build:  2.1-0%{?dist}.t89

Note You need to log in before you can comment on or make changes to this bug.